Subject: bug#500: [devuan-dev] bug#500: Package: usbmuxd calls systemd in its udev rules so it will never start in Devuan

From: Mark Hindley <[email-masked]>
Date: Thu, 30 Jul 2020 10:22:11 +0100

Control: tags -1 debian
Control: forwarded -1 https://bugs.debian.org/966403

Vernon,

Thanks for this information which is very helpful.
 
> It appears that not having sysvinit support in usbmuxd.rules is not a bug
> but an intended feature.

I would phrase this another way: it is a conscious decision, but it is still a
bug. Non-systemd PID1 is still possible in Debian and so this behaviour will be
evident on such a system.

[…]

> I tested the above usbmuxd.rules file on my non-systemd Devuan and my
> systemd Ubuntu 18.04 machine (I don't have any pure Debian machines) and the
> above usbmuxd.rules worked on both machines (started usbmuxd when I
> connected my iphone). Therefore, it is unclear to me why Debian removed
> sysvinit usbmuxd.rules support in the next release of Debian
> (usbmuxd_1.1.0-2+b2_i386.deb).  I find the CHANGELOG cryptic and I can't
> make heads or tails of it.

I agree, it isn't really mentioned at all.
 
> So, Debian removing sysvinit support from Debian package usbmuxd which
> supported both systemd and sysvinit is not a bug but a feature.

A conscious decision, but still a bug on some Debian systems.

> > If so, this patch should go to Debian as this bug will also be present on a
> > Debian system that is not running systemd as PID1.
> 
> Actually, I already (accidentally :) ) sent a bug report to Debian regarding
> this a few days ago. However, based on the Debian usbmuxd package history of
> purposefully removing sysvinit support from a usbmuxd.package that supported
> both systemd and sysvinit, it appears that Debian is willfully moving away
> from supporting sysvinit. Therefore I don't expect a response from Debian.
> 
> How would you like me to proceed?

I agree that the current actions of some Debian maintainers in actively removing
non-systemd functionality is very unhelpful. My personal opinion is that by
accepting such actions unchallenged we risk them increasing on a 'nobody noticed
or complained so nobody cares' basis. If the current trickle increases
substantially, Devuan's limited person-power could easily be overstretched.

So I think that a bug that can be demonstrated on a non-systemd PID1 Debian
system shold be fixed in Debian.  I accept that maybe easier said than done: I
have a number of Debian bugs open that are being ignored and I realise how
frustrating it is.

My suggestion is to retitle your Debian bug #966403 to mention non-systemd PID1
rather than Devuan and add a patch (and patch tag) to reintroduce legacy udev
support. And then be persistent until you get a response.

How do you feel about that?

Best wishes

Mark